function [alpha,points,N]=coefficients(T,tN,xN,xdist,c,n,epsilon)

% calculates the coefficients alpha of the approximation v
% T<0 and [T,0] is the time interval
% tN denotes the number of steps in time direction 
% xdist the distance in x-direction
% xN denotes the number of steps in x-direction
% c denotes the constant in the RBF
% n is the dimension

% points are the points (tau_k,x_k) in (T,0]\times R^n, N points

% returns alpha, which is the N coefficient vector


N=0;
for k=0:tN
    t=k*T/tN;
    for l=-xN:xN
        x=xdist*l;
        if (k ~=0)|(x ~=0) N=N+1; % TAKE OUT EQUILIBRIUM POINT!
        points(N,:)=[t,x];
        end
    end
end



% Definition of the matrix M

    
% A
for j=1:N
    for k=1:N
        diff=transpose(points(j,:)-points(k,:));
        r=norm(diff);
        M(j,k)=-phi2(r,c)*(F(points(j,:),epsilon)*diff).*(F(points(k,:),epsilon)*diff)-...        
                phi1(r,c)*(F(points(j,:),epsilon)*F(points(k,:),epsilon)');
    end
end




% RHS vector

for k=1:N
    m(k)=-norm(points(k,2)).^2;
end


% Solution of linear system

alpha=M\transpose(m);



