

function [] = plotlocv(MAX,xnumber,valloc),

% plots the level set v_loc(x)=val in Figure 6 and 3
% and the function v_loc(x) depending on (t,x) in Figure 1
% on a grid in [-0.2,0] times [-MAX,MAX]
% where the space interval
% is divided into 2 xnumber equal steps

  hx = MAX/xnumber;
  ht = 0.05;
  tnumber = 0.2/ht;
  
X = -MAX:hx:MAX;
Tvec = -0.2:ht:0;

 

for i=0:tnumber,
    t=-0.2+i*ht;
    for j=0:2*xnumber,
        x = -MAX+hx*j;
        nucomp(i+1,j+1) = locv(x);
    end
end



figure(1)
mesh(X,Tvec,nucomp)  


figure(3)
[C,h]=contour(X,Tvec,nucomp,[valloc,valloc],'g','LineWidth',2);  
clabel(C,h)


figure(6)
hold on
[C,h]=contour(X,Tvec,nucomp,[valloc,valloc],'g','LineWidth',2);  
