
function [] = plotlocvs(MAX,xnumber),
    

% plots the level set v_loc'(x)=0 in Figure 3
% and the function v_loc'(x) depending on (t,x) in Figure 2
% on a grid in [-0.2,0] times [-MAX,MAX]
% where the space interval
% is divided into 2 xnumber equal steps

 
  hx = MAX/xnumber;
  ht = 0.05;
  tnumber = 0.2/ht;
  
X = -MAX:hx:MAX;
Tvec = -0.2:ht:0;

 

for i=0:tnumber,
    t=-0.2+i*ht;
    for j=0:2*xnumber,
        x = -MAX+hx*j;
        nucomp(i+1,j+1) = g_fun(x)*gradlocv(x);
     end
end



 
figure(2)
mesh(X,Tvec,nucomp)  


figure(3)
hold on
contour(X,Tvec,nucomp,[0,0],'r','LineWidth',2) 

