
function [] = plotv(T,MAX,c,n,epsilon,alpha,points,tnumber,xnumber,val),
    
% % plots the level set v(t,x)=val in Figure 6
% and the function v(t,x) depending on (t,x) in Figure 4
% on a grid in [T,0] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


  ht = (-T)/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = T:ht:0;

 

for i=0:tnumber,
    t=T+i*ht;
    for j=0:2*xnumber,
        x = -MAX+hx*j;
        nucomp(i+1,j+1) = v(c,alpha,points,epsilon,t,x);
    end
end


figure(4)
mesh(X,Tvec,nucomp)  


figure(6)
[C,h]=contour(X,Tvec,nucomp,[val],'k','LineWidth',2)  ;
clabel(C,h)


