
function [] = plotvs(T,MAX,c,n,epsilon,alpha,points,tnumber,xnumber),
    
   
% plots the level set vs(t,x)=0 in Figure 6
% and the function vs(t,x) depending on (t,x) in Figure 5
% on a grid in [T,0] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


  ht = (-T)/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = T:ht:0;

 

for i=0:tnumber,
    t=T+i*ht;
    for j=0:2*xnumber,
        x = -MAX+hx*j;
        nucomp(i+1,j+1) = vs(c,alpha,points,epsilon,t,x);
    end
end


figure(5)
mesh(X,Tvec,nucomp)  


figure(6)
hold on
contour(X,Tvec,nucomp,[0,0],'r','LineWidth',2) 


%plot(points(:,2),points(:,1),'.', 'MarkerEdgeColor','k',...
%               'MarkerFaceColor','k','MarkerSize',6)