
    
 function [] = plotvsorg(T1,T2,MAX,c,n,epsilon,alpha,points,tnumber,xnumber),
    
% plots the level set v'(t,x)=0 in Figure 7
% on a grid in [T1,T2] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


  ht = (T2-T1)/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = T1:ht:T2;

for i=0:tnumber,
    t=T1+i*ht;
    for j=0:2*xnumber,
        x = -MAX+hx*j;
        nucomp(i+1,j+1) = vs(c,alpha,points,epsilon,hinv(t,epsilon),x);
    end
end

figure(7)
hold on
[C,h]=contour(X,Tvec,nucomp,[0,0],'r','LineWidth',2);  

